import quadbase.ChartAPI.*;
import quadbase.util.*;
import java.awt.*;
import java.applet.*; 

public class ZoomChartAppendix extends Applet {
      static final long serialVersionUID = 1;

      public static void main(String argv[]){
            ZoomChartAppendix chartFrame = new ZoomChartAppendix();
            Frame frame = new Frame();
            frame.setLayout(new BorderLayout());
            frame.add("Center",  chartFrame.createComponent(null));
            frame.setSize(500, 500);
            frame.setVisible(true); }

      public void init() {
            setLayout(new BorderLayout());
            add("Center",  createComponent(this)); }

      Component createComponent(Applet applet) {
            // Do not connect to EspressManager
            QbChart.setEspressManagerUsed(false);

            String[] dataTypes = { "int", "date" }; String[] fieldNames = { "Count", "Date" }; String[][] data = { {"1", "1999-07-01"}, {"1", "1999-07-01"},
                              {"1", "1999-07-02"}, {"1", "1999-07-02"},
                              {"1", "1999-07-02"}, {"1", "1999-07-02"},
                              {"1", "1999-07-03"}, {"1", "1999-07-04"},
                              {"1", "1999-07-04"}, {"1", "1999-07-04"},
                              {"1", "1999-07-05"}, {"1", "1999-07-05"},
                              {"1", "1999-07-06"}, {"1", "1999-07-06"},
                              {"1", "1999-07-07"}, {"1", "1999-07-09"},
                              {"1", "1999-07-09"}, {"1", "1999-07-10"},
                              {"1", "1999-07-10"}, {"1", "1999-07-11"},
                              {"1", "1999-07-12"}, {"1", "1999-07-13"},
                              {"1", "1999-07-13"}, {"1", "1999-07-14"},
                              {"1", "1999-07-15"}, {"1", "1999-07-15"},
                              {"1", "1999-07-15"}, {"1", "1999-07-16"},
                              {"1", "1999-07-16"}, {"1", "1999-07-17"},
                              {"1", "1999-07-17"}, {"1", "1999-07-17"},
                              {"1", "1999-07-17"}, {"1", "1999-07-17"},
                              {"1", "1999-07-17"}, {"1", "1999-07-18"},
                              {"1", "1999-07-22"}, {"1", "1999-07-22"},
                              {"1", "1999-07-22"}, {"1", "1999-07-22"},
                              {"1", "1999-07-22"}, {"1", "1999-07-23"},
                              {"1", "1999-07-23"}, {"1", "1999-07-24"},
                              {"1", "1999-07-24"}, {"1", "1999-07-24"},
                              {"1", "1999-07-28"}, {"1", "1999-07-29"} }; 

	DbData chartData = new DbData(dataTypes, fieldNames, data); ColInfo colInfo = new ColInfo();

            colInfo.category = 1;
            colInfo.value = 0; QbChart chart = new QbChart((Applet)null,     // Applet
                                          QbChart.VIEW2D,                    // Dimension
                                          QbChart.COL,                       // Chart Type
                                          chartData,                         // Data
                                          colInfo,                           // Column Mapping
                                          null);                             // Template 

	// Get a handle to the Zooming interface    
	IZoomInfo zoomInfo = chart.gethZoomInfo();
            zoomInfo.setAggregateOperator(IZoomInfo.SUM);   // Specify the aggregation
            zoomInfo.setMaxScale(1, IZoomInfo.YEAR);        // Specify max zoom out
            zoomInfo.setMinScale(1, IZoomInfo.DAY);         // Specify max zoom in
            zoomInfo.setScale(5, IZoomInfo.DAY);            // Specify current zooming
            zoomInfo.setLinearScale(true);                  // Turn on Linear Scale
            zoomInfo.setZoomEnabled(true);                  // Turn on Zooming 

	    try {
                  chart.refresh();                          // Refresh the chart with zooming
            
		}
		 catch (Exception ex){ex.printStackTrace();}
            return chart; }

}